#ifndef UTILS_H
#define UTILS_H
#include <Windows.h>
#include <TlHelp32.h>
#include <vector>
#include <codecvt>

std::wstring StringToWString(const std::string& str);

std::string WStringToString(const std::wstring& wstr);

std::wstring GetCommandLineArgumentsW();

std::wstring GetSelfDirectoryW();

bool FileExists(const char* path);

bool IsTargetProcess(const wchar_t* processName, const std::vector<std::string>& targetProcesses);

BOOL GetProcessCreationTime(DWORD dwProcessId, FILETIME& CreationTime);


#endif // UTILS_H
